PHP Manual
Prev |  | Next

# cpdf_set_page_animation

(PHP 3 >= 3.0.9, PHP 4, PHP 5 <= 5.0.4)

cpdf_set_page_animation -- Sets duration between pages

## Description

bool cpdf_set_page_animation ( int pdf_document, int transition, float duration, float direction, int orientation, int inout )

Sets the transition between following pages.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

`transition`

  The value of `transition` can be

  0 for none,
  1 for two lines sweeping across the screen reveal the page,
  2 for multiple lines sweeping across the screen reveal the page,
  3 for a box reveals the page,
  4 for a single line sweeping across the screen reveals the page,
  5 for the old page dissolves to reveal the page,
  6 for the dissolve effect moves from one screen edge to another,
  7 for the old page is simply replaced by the new page (default)

`duration`

  The value of `duration` is the number of seconds between page flipping.

`direction`

`orientation`

`inout`

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
cpdf_set_leading | Up | cpdf_set_subject